Bug 653917

Summary: Review Request: gimagereader - A tesseract OCR front-end
Product: [Fedora] Fedora Reporter: Sandro Mani <manisandro>
Component: Package ReviewAssignee: Christopher Meng <i>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, i, pahan, samuel-rhbugs, ulixes84
Target Milestone: ---Flags: i: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gimagereader-2.91-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-01 22:40:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sandro Mani 2010-11-16 08:44:21 EST
Spec URL: http://n.ethz.ch/~smani/download/gimagereader/gimagereader.spec
SRPM URL: http://n.ethz.ch/~smani/download/gimagereader/gimagereader-0.8-1.fc14.src.rpm
Description: A graphical PyGTK front-end to tesseract OCR.


Note: this is my first package and I need a sponsor.
Comment 1 Sandro Mani 2010-12-31 18:44:49 EST
Note: files updated.
Comment 2 Sandro Mani 2011-01-01 08:03:30 EST
Forgot the SRPM link:
http://n.ethz.ch/~smani/download/gimagereader/gimagereader-0.8.1-1.fc14.src.rpm
Comment 3 Till Maas 2011-11-19 15:14:55 EST
Please perform informal reviews and link to them in this ticket as proposed in http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Reviewing_packages
Comment 4 Sandro Mani 2011-11-20 07:12:56 EST
I'm currently porting the application to gtk3, as soon as I'm done I'll revive this review request and perform informal reviews.
Comment 5 Jason Tibbitts 2012-04-24 20:06:22 EDT
Given the above comment, I'm marking this ticket as not being ready for review.  Please clear the whiteboard when you're ready.
Comment 6 Sandro Mani 2012-04-25 03:35:47 EDT
Thanks - the port is unfortunately stalled at the moment due to the missing Gtkspell for Gtk3 (http://sourceforge.net/tracker/?func=detail&aid=3298132&group_id=7896&atid=107896).
Comment 7 Paolo Leoni 2012-12-30 05:02:47 EST
There're some news about this package? 
I'm using gImageReader-0.9.1 on F17 and it seems to be ok.
Comment 8 Sandro Mani 2012-12-30 13:35:19 EST
Hi, now that Gtkspell3 is out, I've resumed work on the new version. Expect an update soonish.
Comment 9 Sandro Mani 2014-02-11 17:58:36 EST
Spec URL: http://smani.fedorapeople.org/review/gimagereader.spec
SRPM URL: http://smani.fedorapeople.org/review/gimagereader-2.90-1.fc21.src.rpm

Hard to believe but true, I finally managed to polish the Gtk3 rewrite to a level which is usable!
Comment 10 Christopher Meng 2014-02-11 19:30:59 EST
Woah!

Taken.
Comment 11 Sandro Mani 2014-02-12 05:13:00 EST
Spec URL: http://smani.fedorapeople.org/review/gimagereader.spec
SRPM URL: http://smani.fedorapeople.org/review/gimagereader-2.90-2.fc21.src.rpm

* Wed Feb 12 2014 Sandro Mani <manisandro@gmail.com> - 2.90-2
- Add appdata file
Comment 12 Christopher Meng 2014-02-12 20:27:24 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in gimagereader
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck:

*No copyright* GPL (v3 or later)
--------------------------------
gimagereader-2.90/src/AsyncQueue.hh

GPL (v2 or later)
-----------------
gimagereader-2.90/build/ltmain.sh

GPL (v3 or later)
-----------------
gimagereader-2.90/src/Acquirer.cc
gimagereader-2.90/src/Acquirer.hh
gimagereader-2.90/src/Application.hh
gimagereader-2.90/src/Config.cc
gimagereader-2.90/src/Config.hh
gimagereader-2.90/src/ConfigSettings.cc
gimagereader-2.90/src/ConfigSettings.hh
gimagereader-2.90/src/CrashHandler.cc
gimagereader-2.90/src/CrashHandler.hh
gimagereader-2.90/src/DisplayManipulator.cc
gimagereader-2.90/src/DisplayManipulator.hh
gimagereader-2.90/src/DisplayRenderer.cc
gimagereader-2.90/src/DisplayRenderer.hh
gimagereader-2.90/src/DisplaySelection.cc
gimagereader-2.90/src/DisplaySelection.hh
gimagereader-2.90/src/Displayer.cc
gimagereader-2.90/src/Displayer.hh
gimagereader-2.90/src/Geometry.hh
gimagereader-2.90/src/MainWindow.cc
gimagereader-2.90/src/MainWindow.hh
gimagereader-2.90/src/Notifier.cc
gimagereader-2.90/src/Notifier.hh
gimagereader-2.90/src/OutputManager.cc
gimagereader-2.90/src/OutputManager.hh
gimagereader-2.90/src/Recognizer.cc
gimagereader-2.90/src/Recognizer.hh
gimagereader-2.90/src/Scanner.cc
gimagereader-2.90/src/Scanner.hh
gimagereader-2.90/src/ScannerSane.hh
gimagereader-2.90/src/ScannerTwain.hh
gimagereader-2.90/src/SourceManager.cc
gimagereader-2.90/src/SourceManager.hh
gimagereader-2.90/src/UndoableBuffer.cc
gimagereader-2.90/src/UndoableBuffer.hh
gimagereader-2.90/src/Utils.cc
gimagereader-2.90/src/Utils.hh
gimagereader-2.90/src/common.hh
gimagereader-2.90/src/main.cc

Unknown or generated
--------------------
gimagereader-2.90/autogen.sh
gimagereader-2.90/packaging/win32/makeinstaller.sh

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in gimagereader
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in gimagereader
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gimagereader-2.90-2.fc21.i686.rpm
          gimagereader-2.90-2.fc21.src.rpm
gimagereader.i686: W: spelling-error %description -l en_US tesseract -> actress
gimagereader.i686: W: spelling-error %description -l en_US screenshots -> screen shots, screen-shots, screens hots
gimagereader.i686: W: spelling-error %description -l en_US multipage -> multistage
gimagereader.i686: E: description-line-too-long C  - Basic editing of output text, including search/replace and removing line breaks
gimagereader.i686: W: no-manual-page-for-binary gimagereader
gimagereader.src: W: spelling-error %description -l en_US tesseract -> actress
gimagereader.src: W: spelling-error %description -l en_US screenshots -> screen shots, screen-shots, screens hots
gimagereader.src: W: spelling-error %description -l en_US multipage -> multistage
gimagereader.src: E: description-line-too-long C  - Basic editing of output text, including search/replace and removing line breaks
gimagereader.src: W: invalid-url Source0: gimagereader-2.90.tar.xz
2 packages and 0 specfiles checked; 2 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gimagereader
gimagereader.i686: W: spelling-error %description -l en_US tesseract -> actress
gimagereader.i686: W: spelling-error %description -l en_US screenshots -> screen shots, screen-shots, screens hots
gimagereader.i686: W: spelling-error %description -l en_US multipage -> multistage
gimagereader.i686: E: description-line-too-long C  - Basic editing of output text, including search/replace and removing line breaks
gimagereader.i686: W: no-manual-page-for-binary gimagereader
1 packages and 0 specfiles checked; 1 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
gimagereader (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0
    libatkmm-1.6.so.1
    libc.so.6
    libcairo-gobject.so.2
    libcairo.so.2
    libcairomm-1.0.so.1
    libdl.so.2
    libenchant.so.1
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgdk-3.so.0
    libgdk_pixbuf-2.0.so.0
    libgdkmm-3.0.so.1
    libgio-2.0.so.0
    libgiomm-2.4.so.1
    libglib-2.0.so.0
    libglibmm-2.4.so.1
    libgmodule-2.0.so.0
    libgobject-2.0.so.0
    libgtk-3.so.0
    libgtkmm-3.0.so.1
    libgtkspell3-3.so.0
    libgtkspellmm-3.0.so.0
    libm.so.6
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangomm-1.4.so.1
    libpoppler-glib.so.8
    libpthread.so.0
    libsane.so.1
    libsigc-2.0.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libtesseract.so.3
    rtld(GNU_HASH)



Provides
--------
gimagereader:
    application()
    application(gimagereader.desktop)
    gimagereader
    gimagereader(x86-32)
    mimehandler(image/bmp)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/png)
    mimehandler(image/svg+xml)
    mimehandler(image/tiff)
    mimehandler(image/x-bmp)
    mimehandler(image/x-ico)
    mimehandler(image/x-pcx)
    mimehandler(image/x-png)
    mimehandler(image/x-tga)
    mimehandler(image/xpm)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn gimagereader-2.90-2.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------------------
Fix rpmlint E issues, and add the missing script, then I will approve this one.
Comment 13 Sandro Mani 2014-02-13 05:11:37 EST
Spec URL: http://smani.fedorapeople.org/review/gimagereader.spec
SRPM URL: http://smani.fedorapeople.org/review/gimagereader-2.90-3.fc21.src.rpm

* Thu Feb 13 2014 Sandro Mani <manisandro@gmail.com> - 2.90-3
- Require hicolor-icon-theme
- Add missing icon theme scriptlets
Comment 14 Christopher Meng 2014-02-13 05:28:21 EST
%{buildroot}/%{_datadir}

Please remove the slash.

PACKAGE APPROVED.
Comment 15 Sandro Mani 2014-02-13 05:32:08 EST
Will do.

Thanks a lot!

New Package SCM Request
=======================
Package Name: gimagereader
Short Description: A tesseract OCR front-end
Owners: smani
Branches: f19 f20
InitialCC:
Comment 16 Jon Ciesla 2014-02-13 07:55:23 EST
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-02-13 09:35:49 EST
gimagereader-2.91-0.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gimagereader-2.91-0.1.fc20
Comment 18 Fedora Update System 2014-02-13 09:36:27 EST
gimagereader-2.91-0.1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimagereader-2.91-0.1.fc19
Comment 19 Fedora Update System 2014-02-14 02:57:27 EST
gimagereader-2.91-0.1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 20 Fedora Update System 2014-02-15 19:07:20 EST
gimagereader-2.91-0.2git20140216.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gimagereader-2.91-0.2git20140216.fc20
Comment 21 Fedora Update System 2014-02-15 19:08:12 EST
gimagereader-2.91-0.2git20140216.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimagereader-2.91-0.2git20140216.fc19
Comment 22 Fedora Update System 2014-02-20 11:22:36 EST
gimagereader-2.91-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gimagereader-2.91-1.fc20
Comment 23 Fedora Update System 2014-02-20 11:23:43 EST
gimagereader-2.91-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimagereader-2.91-1.fc19
Comment 24 Fedora Update System 2014-03-01 22:40:22 EST
gimagereader-2.91-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-03-01 22:46:52 EST
gimagereader-2.91-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.